# https://files.pythonhosted.org/packages/aa/e8/d4b335aa739dc299a77766ecc5f1972d1de1993524aa94acef3219bba315/notify2-0.3.1.tar.gz
%define	module notify2

Name:           python-notify2
Version:        0.3.1
Release:        %mkrel 2
Summary:        Python interface to DBus notifications

License:        BSD-3-Clause
Group:          Development/Python
Url:            https://pypi.python.org/pypi/notify2/
Source:         %{module}-%{version}.tar.xz

BuildRequires:	python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-dbus
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-dbus
Requires:       python-dbus
BuildArch:      noarch

%description
notify2 provides a Python interface to the Freedesktop notifications system,
which allows programs to display information to the user in an unobtrusive way.
Notifications are sent over DBus to a notification daemon, which is responsible
for presenting them to the user.

notify2 is intended as a replacement for pynotify (package python-notify), and
its interface is largely copied from there, although it isn't a complete clone.

This is the Python2 version of the package.

%package 	-n python3-%{module}
Summary:    	  Python3 interface to DBus notifications
Group:      	  Development/Python
Requires:       python3-dbus

%description 	-n python3-%{module}
notify2 provides a Python interface to the Freedesktop notifications system,
which allows programs to display information to the user in an unobtrusive way.
Notifications are sent over DBus to a notification daemon, which is responsible
for presenting them to the user.

notify2 is intended as a replacement for pynotify (package python-notify), and
its interface is largely copied from there, although it isn't a complete clone.

This is the Python3 version of the package.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%files
%defattr(-,root,root)
%doc LICENSE PKG-INFO
%{python2_sitelib}/*

%files -n python3-%{module}
%defattr(-,root,root)
%doc LICENSE PKG-INFO
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.3.1-2pclos2022
- rebuild against updates

* Wed Apr 18 2018 marcin82 <fixxer1982 at gmail.com> 0.3.1-1pclos2018
- update

* Sat Jan 06 2018 Zen Subz <techars21 at gmail dot com> - 0.3-2pclos2018
- Build python3 version

* Fri May 27 2016 bb <bb> 0.3-1pclos2016
- update
